<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class CouponOfferTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('coupon__offers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'coupon__offer.coupon__offer.view',
                'name'      => 'View CouponOffer',
            ],
            [
                'slug'      => 'coupon__offer.coupon__offer.create',
                'name'      => 'Create CouponOffer',
            ],
            [
                'slug'      => 'coupon__offer.coupon__offer.edit',
                'name'      => 'Update CouponOffer',
            ],
            [
                'slug'      => 'coupon__offer.coupon__offer.delete',
                'name'      => 'Delete CouponOffer',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/coupon__offer/coupon__offer',
                'name'        => 'CouponOffer',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/coupon__offer/coupon__offer',
                'name'        => 'CouponOffer',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'coupon__offer',
                'name'        => 'CouponOffer',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CouponOffer',
                'module'    => 'CouponOffer',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'coupon__offer.coupon__offer.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
