<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for coupon__offer in coupon__offer package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  coupon__offer module in coupon__offer package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'CouponOffer',
    'names'         => 'CouponOffers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'CouponOffers',
        'sub'   => 'CouponOffers',
        'list'  => 'List of coupon__offers',
        'edit'  => 'Edit coupon__offer',
        'create'    => 'Create new coupon__offer'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'coupon_status'       => [Active,Inactive,Used],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'coupon_code'                => 'Enter Coupon Code',
        'Discount'                   => '',
        'coupon_limit'               => '',
        'coupon_start_date'          => '',
        'coupon_end_date'            => '',
        'coupon_status'              => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'coupon_code'                => 'Coupon Code',
        'Discount'                   => 'Discount',
        'coupon_limit'               => 'Coupon Limit',
        'coupon_start_date'          => 'Coupon Start Date',
        'coupon_end_date'            => 'Coupon End Date',
        'coupon_status'              => 'Coupon Status',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'coupon_code'                => ['name' => 'Coupon Code', 'data-column' => 1, 'checked'],
        'Discount'                   => ['name' => 'Discount', 'data-column' => 2, 'checked'],
        'coupon_limit'               => ['name' => 'Coupon Limit', 'data-column' => 3, 'checked'],
        'coupon_start_date'          => ['name' => 'Coupon Start Date', 'data-column' => 4, 'checked'],
        'coupon_end_date'            => ['name' => 'Coupon End Date', 'data-column' => 5, 'checked'],
        'coupon_status'              => ['name' => 'Coupon Status', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'CouponOffers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
