Lavalite package that provides coupon__offer management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/coupon__offer`.

    "litecms/coupon__offer": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\CouponOffer\Providers\CouponOfferServiceProvider::class,

And also add it to alias

    'CouponOffer'  => Litecms\CouponOffer\Facades\CouponOffer::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\CouponOfferTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\CouponOffer\Providers\CouponOfferServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\CouponOffer\Providers\CouponOfferServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\CouponOffer\Providers\CouponOfferServiceProvider" --tag="view"


## Usage


