<?php

namespace Litecms\CouponOffer\Repositories\Eloquent;

use Litecms\CouponOffer\Interfaces\CouponOfferRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CouponOfferRepository extends BaseRepository implements CouponOfferRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.coupon__offer.coupon__offer.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.coupon__offer.coupon__offer.model.model');
    }
}
